MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027591Open CASCADE[OCCT] OCCT:Visualizationpublic2016-06-10 14:452016-12-09 16:37
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027591: TKViewerTest, ViewerTest_CmdParser regression - methods ArgVec3f, ArgVec3d return inccorect values
DescriptionThe regression has been found on current development version.

The code of parser methods should address valid value component via "theArgumentIndex" with offset index, e.g.:

Graphic3d_Vec3 ViewerTest_CmdParser::ArgVec3f (const std::string& theOptionName, Standard_Integer theArgumentIndex)
{
  return Graphic3d_Vec3 (static_cast<Standard_ShortReal> (Draw::Atof (Arg (theOptionName, theArgumentIndex + 0).c_str())),
                         static_cast<Standard_ShortReal> (Draw::Atof (Arg (theOptionName, theArgumentIndex + 1).c_str())),
                         static_cast<Standard_ShortReal> (Draw::Atof (Arg (theOptionName, theArgumentIndex + 2).c_str())));
}

Now the offset index is missing and the argument values are interpreted improperly for DRAW commands "vmanipulator" and "vbsdf".
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0054917)
git (administrator)
2016-06-10 16:35

Branch CR27591 has been created by apl.

SHA-1: f39d0001282f49d635a0227fc914c36bd053f5be


Detailed log of new commits:

Author: apl
Date: Fri Jun 10 16:35:00 2016 +0300

    0027591: TKViewerTest, ViewerTest_CmdParser regression - methods ArgVec3f, ArgVec3d return inccorect values
    
    Fix regression in methods ViewerTest_CmdParser::ArgVec3f, ::ArgVec3d, ::ArgVec, ::ArgPnt.
(0054918)
apl (developer)
2016-06-10 16:35

Dear Denis,

Could you please review the branch CR27591?
(0054927)
kgv (developer)
2016-06-10 21:59

Please test the patch.
(0055018)
mkv (tester)
2016-06-15 14:26

Dear BugMaster,
Branch CR27591 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f39d0001282f49d635a0227fc914c36bd053f5be

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 72 (72 on master)
Windows: 4 (4 on master)
MacOS : 1128

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 88433483 / 88301575 [+0.15%]
Total CPU difference: 19486.879999999906 / 19439.919999999966 [+0.24%]
products component :
Total MEMORY difference: 27622383 / 27641722 [-0.07%]
Total CPU difference: 5166.139999999992 / 5152.139999999989 [+0.27%]

Testing on Windows:
occt component :
Total MEMORY difference: 55955583 / 55983280 [-0.05%]
Total CPU difference: 18128.517407698822 / 19056.302154998906 [-4.87%]
products component :
Total MEMORY difference: 18749007 / 18714258 [+0.19%]
Total CPU difference: 4955.80856779995 / 5090.484231099957 [-2.65%]

There are no differences in images found by testdiff.
(0055020)
mkv (tester)
2016-06-15 14:26

Dear BugMaster,
Branch CR27591 is TESTED.
(0055141)
git (administrator)
2016-06-17 12:13

Branch CR27591 has been deleted by inv.

SHA-1: f39d0001282f49d635a0227fc914c36bd053f5be

- Related Changesets
occt: master 907fb7a5
Timestamp: 2016-06-10 13:35:00
Author: apl
Committer: bugmaster
Details ] Diff ]
0027591: TKViewerTest, ViewerTest_CmdParser regression - methods ArgVec3f, ArgVec3d return inccorect values

Fix regression in methods ViewerTest_CmdParser::ArgVec3f, ::ArgVec3d, ::ArgVec, ::ArgPnt.
mod - src/ViewerTest/ViewerTest_CmdParser.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-06-10 14:45 apl New Issue
2016-06-10 14:45 apl Assigned To => apl
2016-06-10 14:46 apl Relationship added related to 0027038
2016-06-10 16:35 git Note Added: 0054917
2016-06-10 16:35 apl Status new => assigned
2016-06-10 16:35 apl Note Added: 0054918
2016-06-10 16:35 apl Assigned To apl => dbp
2016-06-10 16:35 apl Status assigned => resolved
2016-06-10 16:35 apl Steps to Reproduce Updated View Revisions
2016-06-10 21:59 kgv Note Added: 0054927
2016-06-10 21:59 kgv Assigned To dbp => bugmaster
2016-06-10 21:59 kgv Status resolved => reviewed
2016-06-14 13:08 mkv Assigned To bugmaster => mkv
2016-06-15 14:26 mkv Note Added: 0055018
2016-06-15 14:26 mkv Note Added: 0055020
2016-06-15 14:26 mkv Assigned To mkv => bugmaster
2016-06-15 14:26 mkv Status reviewed => tested
2016-06-15 14:26 mkv Test case number => Not needed
2016-06-17 12:04 bugmaster Changeset attached => occt master 907fb7a5
2016-06-17 12:04 bugmaster Status tested => verified
2016-06-17 12:04 bugmaster Resolution open => fixed
2016-06-17 12:13 git Note Added: 0055141
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker